## ros-eloquent-gazebo-dev 3.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gazebo_dev)

find_package(ament_cmake REQUIRED)
ament_package(CONFIG_EXTRAS "cmake/gazebo_dev-extras.cmake")

=== debian/changelog ===
ros-eloquent-gazebo-dev (3.4.4-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-eloquent-gazebo-dev (3.4.3-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Mon, 17 Feb 2020 23:00:00 -0000

ros-eloquent-gazebo-dev (3.4.2-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Mon, 11 Nov 2019 23:00:00 -0000

ros-eloquent-gazebo-dev (3.4.1-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Wed, 09 Oct 2019 22:00:00 -0000

ros-eloquent-gazebo-dev (3.4.0-1bionic) bionic; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@openrobotics.org>  Wed, 02 Oct 2019 22:00:00 -0000

ros-eloquent-gazebo-dev (3.3.4-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Tue, 17 Sep 2019 22:00:00 -0000

ros-eloquent-gazebo-dev (3.3.3-1bionic) bionic; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@openrobotics.org>  Thu, 22 Aug 2019 22:00:00 -0000

ros-eloquent-gazebo-dev (3.3.2-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Tue, 30 Jul 2019 22:00:00 -0000

ros-eloquent-gazebo-dev (3.3.1-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Wed, 29 May 2019 22:00:00 -0000

ros-eloquent-gazebo-dev (3.3.0-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Mon, 20 May 2019 22:00:00 -0000

ros-eloquent-gazebo-dev (3.1.0-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Sun, 09 Dec 2018 23:00:00 -0000

ros-eloquent-gazebo-dev (3.0.0-1bionic) bionic; urgency=high

  * Merge pull request #796 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/796> from ros-simulation/ros2_fix_ci_authors
    [ros2] Fix missing dependencies to run CI and update maintainers
  * Update maintainers for ROS2 in gazebo_dev
  * Merge pull request #770 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/770> from ironmig/ros2-gazebo-dev
    ROS2: Port gazebo_dev to ament package
  * Port gazebo_dev to ament package
    * currently dependency on gazebo is commented out as it cannot find it
  * move gazebo_dev back to root for porting
  * Contributors: Jose Luis Rivero, Kevin Allen

 -- Jose Luis Rivero <jrivero@openrobotics.org>  Thu, 06 Dec 2018 23:00:00 -0000

ros-eloquent-gazebo-dev (2.8.4-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Thu, 05 Jul 2018 22:00:00 -0000

ros-eloquent-gazebo-dev (2.8.3-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-eloquent-gazebo-dev (2.8.2-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Tue, 08 May 2018 22:00:00 -0000

ros-eloquent-gazebo-dev (2.8.1-1bionic) bionic; urgency=high

  * Replace gazebo7 by gazebo9 in gazebo_dev. Gazebo9 is the official version supported in Melodic
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@openrobotics.org>  Fri, 04 May 2018 22:00:00 -0000

ros-eloquent-gazebo-dev (2.7.4-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Sun, 11 Feb 2018 23:00:00 -0000

ros-eloquent-gazebo-dev (2.7.3-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Sun, 10 Dec 2017 23:00:00 -0000

ros-eloquent-gazebo-dev (2.7.2-1bionic) bionic; urgency=high

  * Revert gazebo8 changes in Lunar and back to use gazebo7 (#583 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/583>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@openrobotics.org>  Sat, 20 May 2017 22:00:00 -0000

ros-eloquent-gazebo-dev (2.7.1-1bionic) bionic; urgency=high

  * Use gazeob8 as exec_depend
  * Use 2.7.0 as starting version
  * Depend on gazebo8 instead of gazebo7
  * Add catkin package(s) to provide the default version of Gazebo - take II (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
    * Added catkin package gazebo_dev which provides the cmake config of the installed Gazebo version
    Conflicts:
    gazebo_plugins/package.xml
    gazebo_ros/package.xml
    gazebo_ros_control/package.xml
    * gazebo_plugins/gazebo_ros: removed dependency SDF from CMakeLists.txt
    The sdformat library is an indirect dependency of Gazebo and does not need to be linked explicitly.
    * gazebo_dev: added execution dependency gazebo
  * Contributors: Jose Luis Rivero
  * Use gazeob8 as exec_depend
  * Use 2.7.0 as starting version
  * Depend on gazebo8 instead of gazebo7
  * Add catkin package(s) to provide the default version of Gazebo - take II (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
    * Added catkin package gazebo_dev which provides the cmake config of the installed Gazebo version
    Conflicts:
    gazebo_plugins/package.xml
    gazebo_ros/package.xml
    gazebo_ros_control/package.xml
    * gazebo_plugins/gazebo_ros: removed dependency SDF from CMakeLists.txt
    The sdformat library is an indirect dependency of Gazebo and does not need to be linked explicitly.
    * gazebo_dev: added execution dependency gazebo
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@openrobotics.org>  Thu, 27 Apr 2017 22:00:00 -0000

ros-eloquent-gazebo-dev (2.5.12-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Mon, 24 Apr 2017 22:00:00 -0000

ros-eloquent-gazebo-dev (2.5.11-1bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@openrobotics.org>  Mon, 17 Apr 2017 22:00:00 -0000



=== debian/control ===
Source: ros-eloquent-gazebo-dev
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-eloquent-gazebo-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo9, libgazebo9-dev, ros-eloquent-ros-workspace
Description: Provides a cmake config for the default version of Gazebo for the ROS distribution.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-gazebo-dev//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
